-- 25-02-2020 TRK
--
patch_id app_gis_setting_1210_200225

--******************************************************************************
-- Nye rkker i gis_item_type                                         25-02-2020
--******************************************************************************

if (select 'x' from gis_item_type where item_type = 'deponi') is null
   insert into gis_item_type (item_type, item_type_name) values ('deponi', 'Deponi');

if (select 'x' from gis_item_type where item_type = 'depuni') is null
   insert into gis_item_type (item_type, item_type_name) values ('depuni', 'Deponeringsenhed');

if (select 'x' from gis_item_type where item_type = 'depsmp') is null
   insert into gis_item_type (item_type, item_type_name) values ('depsmp', 'Deponi prvested');

--******************************************************************************
-- Ny deponi entitet                                                  25-02-2020
--******************************************************************************

-- Deponi
if (select 'x' from app_gis_setting where item_type = 'deponi') is null
begin
  insert into app_gis_setting (item_type, api_entity_name, entity_alias, geometry_type, color_code, show_on_map, sort_order, created_by, modulecode, entity_max_count) values ('deponi', 'Landfills', 'Deponier', 'polygon', '#FFB900', '1', 250, 'geokon', 'deponi', 1000)

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'Id', 'Lok nr.', '0', '0', 1, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'Name', 'Navn', '1', '1', 2, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'Address', 'Adresse', '0', '0', 3, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'PostalCode', 'Postnr.', '0', '0', 4, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'PostalCodeName', 'By', '0', '0', 5, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'MunicipalityCode', 'Kommunenr.', '0', '0', 6, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'StreetCode', 'Vejkode', '0', '0', 7, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'StreetBuildingIdentifier', 'Husnr.', '0', '0', 8, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'LandParcelIdentifier', 'Matrikelnr.', '0', '0', 9, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'CadastralDistrictIdentifier', 'Landsejerlavskode', '0', '0', 10, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'CadastralDistrictName', 'Landsejerlav', '0', '0', 11, 'geokon')

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'EstablishDate', 'Etableret', '0', '0', 12, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'PrivatOwned', 'Privat ejet', '0', '0', 13, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'PublicOwned', 'Offentligt ejet', '0', '0', 14, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'ReceiveWaste', 'Modtager affald', '0', '0', 15, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'ClosedBefore2001', 'Lukket fr 2001', '0', '0', 16, 'geokon')
end;

--******************************************************************************
-- Ny deponi enhed entitet                                            25-02-2020
--******************************************************************************

-- Deponeringsenhed
if (select 'x' from app_gis_setting where item_type = 'depuni') is null
begin
  insert into app_gis_setting (item_type, api_entity_name, entity_alias, geometry_type, color_code, show_on_map, sort_order, created_by, modulecode, entity_max_count) values ('depuni', 'LandfillUnits', 'Deponeringsenheder', 'polygon', '#298242', '1', 260, 'geokon', 'deponi', 1000)

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'Id', 'Lok nr.', '0', '0', 1, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'Name', 'Navn', '1', '1', 2, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'Address', 'Adresse', '0', '0', 3, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'PostalCode', 'Postnr.', '0', '0', 4, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'PostalCodeName', 'By', '0', '0', 5, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'MunicipalityCode', 'Kommunenr.', '0', '0', 6, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'StreetCode', 'Vejkode', '0', '0', 7, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'StreetBuildingIdentifier', 'Husnr.', '0', '0', 8, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'LandParcelIdentifier', 'Matrikelnr.', '0', '0', 9, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'CadastralDistrictIdentifier', 'Landsejerlavskode', '0', '0', 10, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'CadastralDistrictName', 'Landsejerlav', '0', '0', 11, 'geokon')

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'UnitId', 'Enheds id', '0', '0', 12, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'UnitName', 'Enheds navn', '0', '0', 13, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'ClassificationId', 'Affaldsklasse id', '0', '0', 14, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'ClassificationName', 'Affaldsklasse', '0', '0', 15, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'ReducedDemands', 'Reducerede krav', '0', '0', 16, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'FurtherReducedDemands', 'Yderl. redu. krav', '0', '0', 17, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'ApprovedDate', 'Godkendt', '0', '0', 18, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'EstablishDate', 'Ibrugtaget', '0', '0', 19, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'ClosedDate', 'Lukket', '0', '0', 20, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'PassiveDate', 'Passiv', '0', '0', 21, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'LastWasteCapacityYear', 'Affaldskapacitet r', '0', '0', 22, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'LastWasteCapacityM3', 'Affaldskapacitet m3', '0', '0', 23, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'LastWasteCapacityTon', 'Affaldskapacitet ton', '0', '0', 24, 'geokon')
end;

--******************************************************************************
-- Ny deponi prvedsted                                               25-02-2020
--******************************************************************************

-- Deponi prvedsted
if (select 'x' from app_gis_setting where item_type = 'depsmp') is null
begin
  insert into app_gis_setting (item_type, api_entity_name, entity_alias, geometry_type, color_code, show_on_map, sort_order, created_by, modulecode, entity_max_count) values ('depsmp', 'LandfillSamplingPlaces', 'Deponi prvesteder', 'point', '#FB9A99', '1', 270, 'geokon', 'deponi', 1000)

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'Id', 'Lok nr.', '0', '0', 1, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'Name', 'Navn', '1', '1', 2, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'Address', 'Adresse', '0', '0', 3, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'PostalCode', 'Postnr.', '0', '0', 4, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'PostalCodeName', 'By', '0', '0', 5, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'MunicipalityCode', 'Kommunenr.', '0', '0', 6, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'StreetCode', 'Vejkode', '0', '0', 7, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'StreetBuildingIdentifier', 'Husnr.', '0', '0', 8, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'LandParcelIdentifier', 'Matrikelnr.', '0', '0', 9, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'CadastralDistrictIdentifier', 'Landsejerlavskode', '0', '0', 10, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'CadastralDistrictName', 'Landsejerlav', '0', '0', 11, 'geokon')

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'EnvUnit', 'Lbenr', '0', '0', 12, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'PlaceId', 'Prvested id', '0', '0', 13, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'PlaceName', 'Prvested', '0', '0', 14, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'PlaceTypeId', 'Prvestedstype id', '0', '0', 15, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'PlaceTypeName', 'Prvestedstype', '0', '0', 16, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'BoreHoldId', 'Boringsnr', '0', '0', 17, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'FilterNo', 'Indtag', '0', '0', 18, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'ZCoord', 'z koord.', '0', '0', 19, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'ZCoordSource', 'z koord. kilde', '0', '0', 20, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depsmp', 'ZCoordMethod', 'z koord. metode', '0', '0', 21, 'geokon')
end;

--******************************************************************************