-- 03-02-2020 TRK
--
-- Opdatering af view view_bldCasefile - 12.1.0 - mss

patch_id view_bld_1210_200203

--*************************************************************************************************
-- Opdatering af view view_bldCasefile                                                   03-02-2020
--*************************************************************************************************

drop view dbo.view_bldCasefile;

create view dbo.view_bldCasefile (
    task_seq_no, act_type_id, act_type_name, case_officer_id, case_officer_name,
    applicand_received_date, end_date, case_no, case_name, department_id, department_name,
    deadline, case_no_sub, applicant_date, code_id, code_name, type_id, type_name, status_id,
    status_name, case_address, case_land_reg_no, case_land_reg_code, case_land_reg_name,
    adequate_date, shelving_date, case_public, case_closed, case_archived, site_seq_no, ekomnr,
    eejdnr, site_name, site_address, road_code, road_name, house_no_1, house_no_2, apart_no,
    postal_codes_id, postal_codes_name, site_comments, site_land_reg_no, site_land_reg_code,
    site_land_reg_name, report_as, ext_case_no, ext_sys_id, ext_sys_status, origin)
as
SELECT ind_task.task_seq_no,             -- AS task_seq_no,
       ind_task.act_type_id,             -- AS act_type_id,              Sagstype id
       ind_acttype.act_type_name,        -- AS act_type_name,            Sagstype navn
       ind_task.init,                    -- AS case_officer_id,          Sagsbehandler id
       case_officer.long_name,           -- AS case_officer_name,        Sagsbehandler navn
       ind_task.appl_received,           -- AS applicand_received_date,  Modtaget
       ind_task.end_date,                -- AS end_date,                 Afsluttet
       ind_task.case_no,                 -- AS case_no,                  Journalnr.
       ind_task.comments,                -- AS case_name,                Sagsnavn
       ind_task.department,              -- AS department_id,            Afdeling id
       csm_department.department_name,   -- AS department_name,          Afdeling navn
       ind_task.deadline,                -- AS deadline,                 Afgrelse
       ind_task.sub_caseno,              -- AS case_no_sub,              Sub journalnr.
       ind_task.applicant_date,          -- AS applicant_date,           Ansgning
       ind_task.code_id,                 -- AS code_id,                  Kode id
       bld_case_code.code_name,          -- AS code_name,                Kode navn
       ind_task.type_id,                 -- AS type_id,                  Sagsart id
       bld_case_type.type_name,          -- AS type_name,                Sagsart navn
       ind_task.status_code,             -- AS status_id,                Status id
       task_status.name,                 -- AS status_name,              Status navn
       ind_task.case_address,            -- AS case_address,             Sagsadr
       ind_task.landregno,               -- AS case_land_reg_no,         Matr.nr. (sagen)
       ind_task.land_reg_code,           -- AS case_land_reg_code,       Ejerlavskode (sagen)
       lr_ind_task.land_reg_name,        -- AS case_land_reg_name,       Ejerlav (sagen)
       ind_task.adequate_date,           -- AS adequate_date,            Fyldestgr
       ind_task.shelving_date,           -- AS shelving_date,            Henlagt
       (CASE
           WHEN COALESCE(site.archive, '0') = '1' THEN '0'
           WHEN COALESCE(bld_x_code_type.private_ref, '0') = '1' THEN '0'
           ELSE '1'
       END),                             -- AS case_public,              Offentlig
       COALESCE(ind_task.closed, '0'),   -- AS case_closed,              Lukket
       COALESCE(ind_task.archived, '0'), -- AS case_archived,            Arkiveret
       site.site_seq_no,                 -- AS site_seq_no,
       site.ekomnr,                      -- AS ekomnr,                   Kommunenr.	
       site.eejdnr,                      -- AS eejdnr,                   Ejendomsnr.
       site.site_name,                   -- AS site_name,                Ejendomsnavn
       site.site_address,                -- AS site_address,             Ejendomsadresse
       site.road_code,                   -- AS road_code,                Vejkode id
       road_codes.road_name_1,           -- AS road_name,                Vejkode navn
       site.house_no_1,                  -- AS house_no_1,               Husnr.
       site.house_no_2,                  -- AS house_no_2,               Husbogstav
       site.apart_no,                    -- AS apart_no,                 Lejlighedsnr.
       site.postal_codes_id,             -- AS postal_codes_id,          Postnr.
       postal_codes.postal_codes_name,   -- AS postal_codes_name,        By
       site.comments,                    -- AS site_comments,            Notat om ejendom
       site.landregno,                   -- AS site_land_reg_no,         Matr.nr. (lokaliteten)
       site.land_reg_code,               -- AS site_land_reg_code,       Ejerlavskode (lokaliteten)
       lr_site.land_reg_name,            -- AS site_land_reg_name,       Ejerlav (lokaliteten)
       (CASE
           WHEN bld_x_code_type.report_as is null THEN 'Ingen'
           WHEN bld_x_code_type.report_as = '1' THEN 'BR1 - Tillad u ibrug'
           WHEN bld_x_code_type.report_as = '2' THEN 'BR2 - Anmeld.sag'
           WHEN bld_x_code_type.report_as = '3' THEN 'BR3 - Tillad m ibrug'
           WHEN bld_x_code_type.report_as = '4' THEN 'BR4 - Tillad landbrug'
           WHEN bld_x_code_type.report_as = '5' THEN 'BR5 - Anmeld. vrige'
           ELSE null
       END),                             -- AS report_as,                BBR indberetning
       ind_task.ext_case_no,             -- AS ext_case_no,              Eksternt journalnr.
       ind_task.ext_sys_id,              -- AS ext_sys_id,               Eksternt Id
       COALESCE(ind_task.ext_sys_status, '0'), -- AS ext_sys_status      Ekstern status. '3' = 'Overfrt til ESDH'
       ind_task.origin                   -- AS origin                    Hvor stammer sagen fra? 'GE' = GeoEnviron, 'SB' = SBSYS

FROM ind_task

JOIN site ON site.site_seq_no = ind_task.site_seq_no
    AND site.site_type_id IN (SELECT site_type_id FROM site_type WHERE sys_type = 'bld')
LEFT OUTER JOIN bld_x_code_type ON ind_task.code_id = bld_x_code_type.code_id
    AND ind_task.type_id = bld_x_code_type.type_id
    AND ind_task.act_type_id = bld_x_code_type.act_type_id
	
LEFT OUTER JOIN ind_acttype ON ind_acttype.act_type_id = ind_task.act_type_id
LEFT OUTER JOIN case_officer ON case_officer.code = ind_task.init
LEFT OUTER JOIN csm_department ON csm_department.department = ind_task.department
LEFT OUTER JOIN bld_case_code ON bld_case_code.code_id = ind_task.code_id
LEFT OUTER JOIN bld_case_type ON bld_case_type.type_id = ind_task.type_id
LEFT OUTER JOIN task_status ON task_status.code = ind_task.status_code
LEFT OUTER JOIN land_register lr_ind_task ON lr_ind_task.land_reg_code = ind_task.land_reg_code
LEFT OUTER JOIN road_codes ON road_codes.road_code = site.road_code
LEFT OUTER JOIN postal_codes ON postal_codes.postal_codes_id = site.postal_codes_id	
LEFT OUTER JOIN land_register lr_site ON lr_site.land_reg_code = site.land_reg_code;

grant select on view_bldCasefile to public;

--*************************************************************************************************
-- Opdatering af view view_bldDocument                                                   03-02-2020
--*************************************************************************************************

drop view dbo.view_bldDocument;

create view dbo.view_bldDocument (
    doc_seq_no, task_seq_no, doc_date, reg_date, doc_type_id, doc_type_name, case_officer_id,
    case_officer_name, place, address_name, address_name2, address, postal_codes_id,
    postal_codes_name, attention, description, doc_path, merge_type_id, merge_type_name, internal,
    approb, central_company_no, email, dpost_message, ext_sys_id, ext_sys_status, origin)
as
SELECT  csm_document.doc_seq_no,                -- AS doc_seq_no,
        csm_document.task_seq_no,               -- AS task_seq_no,
        csm_document.doc_date,                  -- AS doc_date,            Dok.dato
        csm_document.reg_date,                  -- AS reg_date,            Reg.dato
        csm_document.in_out,                    -- AS doc_type_id,         Type id
        csm_document_type.name,                 -- AS doc_type_name,       Type navn
        csm_document.init,                      -- AS case_officer_id,     Sagsbehandler id
        case_officer.long_name,                 -- AS case_officer_name,   Sagsbehandler navn
        csm_document.place,                     -- AS place,               Sted
        csm_document.address_name,              -- AS address_name,        Afsender/Modtager navn
        csm_document.address_name2,             -- AS address_name2,       Afsender/Modtager navn 2
        csm_document.addr,                      -- AS address,             Adresse
        csm_document.postal_codes_id,           -- AS postal_codes_id,     Postnr.
        postal_codes.postal_codes_name,         -- AS postal_codes_name,   By
        csm_document.att,                       -- AS attention,           Att
        csm_document.descrip,                   -- AS description,         Beskrivelse
        (CASE                                   -- AS doc_path,            Dok.navn
            WHEN csm_document.doc_path like '\[0-9][0-9][0-9][0-9]\%'
            THEN (SELECT csm_param.document_path FROM csm_param) + csm_document.doc_path
            WHEN csm_document.doc_path like '\konv\%'
            THEN (SELECT csm_param.document_path FROM csm_param) + csm_document.doc_path
            ELSE csm_document.doc_path
        END),
        csm_document.merge_type,                -- AS merge_type_id,       Modtager id (e/f)
        (CASE csm_document.merge_type           -- AS merge_type_name,     Modtager navn (enkelt/flere)
            WHEN 'e' THEN 'enkelt'
            WHEN 'f' THEN 'flere'
            ELSE 'N/A'
        END),
        COALESCE(csm_document.internal, '0'),   -- AS internal,            Internt
        COALESCE(csm_document.approb, '0'),     -- AS approb,              Approberet
        csm_document.central_company_no,        -- AS central_company_no,  CVR/CPR
        csm_document.email,                     -- AS email,               E-mail
        COALESCE(dbox_outbox.message_text, dbox_inbox.message_text_simple), -- AS dpost_message,  DPost meddelelse
        csm_document.ext_sys_id,                -- AS ext_sys_id,          Eksternt Id
        COALESCE(csm_document.ext_sys_status, '0'), -- AS ext_sys_status   Ekstern status. '3' = 'Overfrt til ESDH'
        csm_document.origin                     -- AS origin               Hvor stammer dokumentet fra? 'GE' = GeoEnviron, 'SB' = SBSYS

FROM csm_document
JOIN ind_task ON ind_task.task_seq_no = csm_document.task_seq_no
JOIN site ON site.site_seq_no = ind_task.site_seq_no
    AND site.site_type_id IN (SELECT site_type_id FROM site_type WHERE sys_type = 'bld')
    
LEFT OUTER JOIN csm_document_type ON csm_document_type.code = csm_document.in_out
LEFT OUTER JOIN case_officer ON case_officer.code = csm_document.init
LEFT OUTER JOIN postal_codes ON postal_codes.postal_codes_id = csm_document.postal_codes_id

LEFT OUTER JOIN dbox_inbox ON dbox_inbox.trans_seq_no_in = csm_document.trans_seq_no_in
    and dbox_inbox.task_seq_no = csm_document.task_seq_no
LEFT OUTER JOIN dbox_outbox ON dbox_outbox.doc_seq_no = csm_document.doc_seq_no
    and dbox_outbox.task_seq_no = csm_document.task_seq_no;

grant select on view_bldDocument to public;

--*************************************************************************************************