-- 09-02-2022 TRK 
--
patch_id dpost_1320_220209

--******************************************************************************
-- dbox_outbox relaterede rettelser                                   09-02-2022
--******************************************************************************

if (select col_length('dbox_outbox','reply_by')) is null
   alter table dbox_outbox add reply_by datetime null;

if (select col_length('dbox_files','main_file')) is null
   alter table dbox_files add main_file varchar(1) null;

create table dbo.dbox_action (
    code                          varchar(6)      not null,
    action_code                   varchar(50)     not null,
    action_label                  varchar(50)     not null,
    action_url                    varchar(5000)   not null,
    active                        varchar(1)      not null default '1',
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dbox_action primary key (code)
);
grant select, update, delete, insert on dbox_action to public;

create table dbo.dbox_outbox_action (
    trans_seq_no_out              numeric(9,0)    not null,
    sort_no                       integer         not null,
    action_code                   varchar(50)     not null,
    action_label                  varchar(50)     not null,
    action_url                    varchar(5000)   not null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    constraint pk_dbox_outbox_action primary key (trans_seq_no_out, sort_no)
);
grant select, update, delete, insert on dbox_outbox_action to public;

drop_foreign_key on dbox_outbox_action dbox_outbox;
alter table dbox_outbox_action
  add constraint fk_dbox_outbox_action_dbox_outbox foreign key (trans_seq_no_out)
  references dbox_outbox (trans_seq_no_out);

--******************************************************************************